Bug 1012026 - [RFE] Pulp package upload API should not require pre-calculated metadata
[RFE] Pulp package upload API should not require pre-calculated metadata
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks: sat6-pulp-future
  Show dependency treegraph
 
Reported: 2013-09-25 11:01 EDT by Mike McCune
Modified: 2017-07-26 15:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:54:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-09-25 11:01:23 EDT
As a caller of Pulp's package upload API Katello is required to parse and generate the proper metadata in order to get packages into a repository.

The algorithm and mechanism for doing this is somewhat complex and we have recently relied on Pulp's admin CLI python algorithm to accomplish the parameter/metadata generation for uploads.

In the future we are going to want to support uploading packages from Katello's webUI which is in Ruby so we would be force to implement and maintain a parallel Ruby algorithm for parsing and generating the correct metadata for uploads.

This RFE is to centralize this algorithm at the server so the client/call isn't required to be responsible for this semi-difficult task.
Comment 1 Jeff Ortel 2014-04-03 09:35:49 EDT
build: 2.4.0-0.7.beta
Comment 2 Michael Hrivnak 2014-07-03 15:25:07 EDT
This can be verified by doing an upload of an RPM and watching ~/.pulp/server_calls.log to see what data gets sent. You will see that the unit metadata does not get sent to the server, but if you query the server for the new unit, you will see that it has the expected metadata.
Comment 3 Preethi Thomas 2014-07-07 15:59:29 EDT
verified as per the above comment

2014-07-07 15:54:46,383 - INFO - POST request to /pulp/api/v2/repositories/upload/actions/import_upload/ with parameters {"unit_type_id": "rpm", "upload_id": "f89df833-0597-48fb-8894-87794a6b2201", "unit_key": {}, "unit_metadata": {"checksum_type": null}}
Comment 4 Randy Barlow 2014-08-09 02:54:39 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.